Subject: Re: bug#39089: Guix System: Very long, scary boot time

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 03 May 2020 19:18:10 +0200

Ricardo Wurmus <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Danny Milosavljevic <[email-masked]> skribis:
>>
>>> I think it's our job as a distribution to integrate the components properly into
>>> the system so that confusing stuff like that doesn't happen.
>>>
>>> As a first step, we could just not start a getty on tty1 when gdm is configured
>>> to start (see tty1 in %base-services in (gnu services base)).  Then the thing
>>> above wouldn't appear.
>>>
>>> The usual fix a lot of other distributions (and BIOSes) have is to display a
>>> splash screen on top.
>>
>> I think that would be the better fix: add the splash screen thing (I
>> forgot the name) to ‘%desktop-services’, but keep functional TTYs.
>
> I think you’re referring to Plymouth:
>
>    https://www.freedesktop.org/wiki/Software/Plymouth/

We have a patch for Plymouth:

    https://issues.guix.gnu.org/26970

Back then I asked for more information on how to actually use it.  Now
it’s clear to me: by building it statically and including it in the
initrd.

--
Ricardo